---
title: Get Selfie
description: Получите селфи, сделанное во время процесса Human Token — доступно в течение 24 часов после завершения процесса.
canonical: https://developer.unico.io/ru/human-token/api-reference/get-selfie
locale: ru
generated_by: markdown-export
---

- [/ru/](/ru/)
- Справочник API
- Get Selfie

**На этой страницеGet SelfieGETПолучите селфи, сделанное во время процесса Human Token.

Возвращает биометрическое селфи, сделанное пользователем во время процесса Human Token. Изображение возвращается в виде строки в кодировке base64.
Доступно для любого завершённого процесса с биометрическим захватом — все пять потоков Human Token (`api+humantoken`, `api+liveness+humantoken`, `api+liveness+humantoken+revalidation`, `humantoken`, `humantoken+revalidation`). Недо ступно, если процесс завершился без биометрического захвата, так как селфи для возврата отсутствует.
предупреждениеСелфи доступно в течение **24 часов** после завершения процесса. После этого изображение удаляется безвозвратно, и этот endpoint возвращает `404`.
### Эндпоинт​

СредаURL**Production**`GET https://humantoken.unico.app/client/v1/process/{processId}/selfie`
### Запрос​

Заголовки
ЗаголовокЗначение`x-unico-accesskey``<your_access_key>` (см. [Аутентификация](/ru/human-token/get-started/authentication))
Параметры пути
ПараметрТипОбязательноОписание`processId`string (UUID)даИдентификатор процесса, возвращённый [Создать процесс](/ru/human-token/api-reference/post-processes).
### Пример​

cURLNode.js```
curl -X GET https://humantoken.unico.app/client/v1/process/$PROCESS_ID/selfie \  -H "x-unico-accesskey: $UNICO_ACCESS_KEY"
```

```
import fetch from 'node-fetch';const res = await fetch(  `https://humantoken.unico.app/client/v1/process/${processId}/selfie`,  { headers: { 'x-unico-accesskey': process.env.UNICO_ACCESS_KEY } });const { fileContents, contentType } = await res.json();// fileContents is a base64-encoded image string
```

### Ответы​

200 OK
```
{  "fileContents": "/9j/4AAQSkZJR...",  "contentType": "image/jpeg"}
```

ПолеТипОписание`fileContents`string (base64)Сделанное селфи в кодировке base64.`contentType`stringMIME-тип изображения — `image/jpeg` или `image/png`.
### Коды ошибок​

400 Bad Request401 Unauthorized403 Forbidden404 Not Found429 Too Many RequestsПараметр пути `processId` отсутствует или имеет неверный формат.Ключ доступа отсутствует или недействителен в заголовке `x-unico-accesskey`. См. [Аутентификация](/ru/human-token/get-started/authentication).Недостаточно прав для доступа к селфи этого процесса.Процесс не найден, процесс завершился без биометрической съёмки, или 24-часовое окно хранения истекло.Rate limit reached. When your system receives an HTTP 429 error, you must implement mechanisms to prevent cascading failures and avoid worsening the restriction.
**Best practices:**

**Cool-down period (backoff):** Immediately halt or throttle subsequent requests from your system. Do not continuously retry failed requests in a tight loop.
**Queueing & throttling:** Buffer or queue outgoing requests on your end to control the traffic flow before re-sending them.
**Exponential backoff with jitter:** When retrying, increase the waiting time exponentially between attempts (e.g., 1 s, 2 s, 4 s, 8 s) and add a small random delay ("jitter") to prevent a herd effect where all queued requests retry at the exact same millisecond.

предупреждениеContinuously hitting a rate-limited endpoint without backing off can **prolong the restriction period** and severely impact your system's operational throughput. Properly throttling requests on your side ensures a smoother, more resilient integration.
For default limits, increase requests and additional details, see [Rate Limits](/ru/developers/start/rate-limits).
### Что дальше​

Для получения полного результата процесса см. [Получение процесса](/ru/human-token/api-reference/get-process).
Вернитесь к [Создать процесс](/ru/human-token/api-reference/post-processes), чтобы отправить новое селфи.
Последнее обновление 22 окт. 2026 г.**